Summary: A secure replacement for inetd.
Name: xinetd
Version: 2.3.13
Release: 6tr
License: Distributable
Group: Trustix Official
Source: http://www.xinetd.org/%{name}-%{version}.tar.gz
Source1: xinetd.init
Source2: xinetd.conf
Source3: xinetd-inetdconvert
Source4: xinetd-ttime
Source5: xinetd-utime
Source6: xinetd-tdtime
Source7: xinetd-udtime
Source8: xinetd-echo
Source9: xinetd-uecho
Source10: xinetd-chargen
Source11: xinetd-uchargen
Source12: xinetd.sysconf
Source13: xinetd-servers
Source14: xinetd-services
Provides: inetd
Prereq: chkconfig filesystem initscripts tsl-utils
BuildRequires: tcp_wrappers glibc-devel
Requires: filesystem, initscripts, setup, coreutils
URL: http://www.xinetd.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Xinetd is a secure replacement for inetd, the Internet services
daemon. Xinetd provides access control for all services based on the
address of the remote host and/or on time of access and can prevent
denial-of-access attacks. Xinetd provides extensive logging, has no
limit on the number of server arguments, and lets you bind specific
services to specific IP addresses on your host machine. Each service
has its own specific configuration file for Xinetd; the files are
located in the /etc/xinetd.d directory.

%prep
%setup -q  

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-libwrap --with-inet6
make
cp xinetd/xinetd xinetd-ipv6
make clean
rm -f config.cache
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-libwrap
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/init.d
make DESTDIR="$RPM_BUILD_ROOT" DAEMONDIR=$RPM_BUILD_ROOT/usr/sbin MANDIR=$RPM_BUILD_ROOT/%{_mandir} install

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d/
install -m 755 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/xinetd
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/xinetd.conf
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/usr/sbin/inetdconvert
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/etc/xinetd.d/time
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/etc/xinetd.d/time-udp
install -m 644 %SOURCE6 $RPM_BUILD_ROOT/etc/xinetd.d/daytime
install -m 644 %SOURCE7 $RPM_BUILD_ROOT/etc/xinetd.d/daytime-udp
install -m 644 %SOURCE8 $RPM_BUILD_ROOT/etc/xinetd.d/echo
install -m 644 %SOURCE9 $RPM_BUILD_ROOT/etc/xinetd.d/echo-udp
install -m 644 %SOURCE10 $RPM_BUILD_ROOT/etc/xinetd.d/chargen
install -m 644 %SOURCE11 $RPM_BUILD_ROOT/etc/xinetd.d/chargen-udp
install -m 644 %SOURCE13 $RPM_BUILD_ROOT/etc/xinetd.d/servers
install -m 644 %SOURCE14 $RPM_BUILD_ROOT/etc/xinetd.d/services

install -m 755 xinetd-ipv6 $RPM_BUILD_ROOT/usr/sbin/xinetd-ipv6

rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/itox*
rm -f $RPM_BUILD_ROOT/usr/sbin/itox
rm -f $RPM_BUILD_ROOT/usr/sbin/xconv.pl

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %SOURCE12 $RPM_BUILD_ROOT/etc/sysconfig/xinetd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
/sbin/service xinetd stop 2>/dev/null >/dev/null || :

%post
chmod +x /usr/sbin/inetdconvert
# Make correct symlinks.
/sbin/chkconfig --add xinetd
# Restart service after upgrade.
/sbin/restart_maybe xinetd

%preun
if [ $1 = 0 ]; then
        /sbin/service xinetd stop 2>/dev/null || :
        /sbin/chkconfig --del xinetd || :
fi

%files
%defattr(-,root,root,0755)
%doc INSTALL CHANGELOG COPYRIGHT README xinetd/sample.conf 

%config(noreplace) /etc/xinetd.conf
/usr/sbin/xinetd
/usr/sbin/xinetd-ipv6
/usr/sbin/inetdconvert
%{_mandir}/*/*
/etc/init.d/xinetd
%dir /etc/xinetd.d
%config(noreplace) /etc/xinetd.d/*
%config(noreplace) /etc/sysconfig/xinetd

%changelog
* Mon Mar 20 2006 Bipin S <bipin at trustix dot org> 2.3.13-6tr
- Fixed Bug #1664.

* Mon Oct 24 2005 Ajith Thampi <ajith at comodo dot com> 2.3.13-5tr
- Spec cleanup on PreReq
		
* Mon Mar 29 2004 Erlend Midttun <erlendbm at trustix dot com> 2.3.13-4tr
- Added /etc/xinetd.d

* Fri Feb 06 2004 Omar Kilani <ok at trustix dot org> 2.3.13-1ok
- New upstream.

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.3.12-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.3.11-2tr
- Big rebuild

* Wed May 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.3.11-1em
- New upstream with security fixes.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.3.5-10em
- fileutils -> coreutils.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.3.5-9em
- Rebuilt against glibc 2.3.2.

* Thu Feb 27 2003 Christian H. Toldnes <christht@tihlde.org> 2.3.5-8ct
- Added better removel of $RPM_BUILD_ROOT
- Fixed bug in %filelilst
- More correct license

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 2.3.5-7ct
- Initscript now uses $INITLOCK

* Fri Sep 20 2002 Christian H. Toldnes <christht at trustix dot com> 2.3.5-6ct
- Correct chkconfig error in init scipt.
- Removed condrestart since we've got restart_maybe

* Tue Aug 20 2002 Gerald Dachs <gda at trustix dot org> 2.3.5-5gd
- fixed init script location
- .spec file cleanup

* Wed Jul 17 2002 Gerald Dachs <gda at trustix dot org> 2.3.5-4gd
- based on .spec file from Red Hat
